## njam 1.25

=== debian/changelog ===
njam (1.25-9fakesync1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:36:51 +0000

njam (1.25-9fakesync1) xenial-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Nov 2015 02:07:49 +0000

njam (1.25-9) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit and https.
  * wrap-and-sort -sa.
  * Update my e-mail address.
  * Fix Lintian warning space-in-std-shortname-in-dep5-copyright.
  * Add keywords to desktop file.

 -- Markus Koschany <apo@debian.org>  Thu, 05 Nov 2015 20:28:30 +0100

njam (1.25-8) unstable; urgency=low

  * Fix njam-data trying to overwrite njamicon.ico during upgrade from testing
    to unstable. Add Breaks and Replaces relation to njam-data.

 -- Markus Koschany <apo@gambaru.de>  Thu, 14 Feb 2013 22:14:21 +0100

njam (1.25-7) unstable; urgency=low

  * Release to unstable

  [ Daniel Echeverry ]
  * debian/control
    + New Maintainer. Closes: #694607
    + Add Markus Koschany as Uploader
    + Remove automake and autotools from Build-Depends
    + Add autotools-dev in Build-Depends
  * debian/rules
    + Add --parallel and --with autotools-dev to dh
  * debian/copyright
    + Add src/SDL_main.c license
  * Rename njam.6 instead of njam.1
  * debian/njam.6
    + Remove AUTHORS section
    + Update short description
    + Remove -d option
  * debian/njam.desktop
    + Update icon name
  * debian/njam.menu
    + Add longtitle field
    + Change section

  [ Markus Koschany ]
  * debian/njam.6:
    - Clean up the manpage and remove unnecessary docbook code.
  * debian/control:
    - Add Git Vcs-fields. Njam will be maintained at collab-maint from now on.
  * debian/njam.desktop:
    - Add German comment to desktop file.
  * debian/patches:
    - Add dep3 headers, rename the patch extensions from .diff to .patch.
  * Register njam with doc-base.
  * Install documentation in Njam-data
  * Install the icon to /usr/share/pixmaps instead of
    /usr/share/games/njam/pixmaps. Hence we can drop njam.links. 
  * Drop njam.preinst script. Don't move around the hiscore file anymore.
    Initialize the file once in njam.postinst if it does not already exist.
    Upgrading from pre-Squeeze versions is no longer supported. Thanks
    Andreas Beckmann for the report. (Closes: #689119)
  * Split the package in njam and njam-data and depend on the latter. 

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 18 Jan 2013 11:25:00 -0500

njam (1.25-6~exp1) experimental; urgency=low

  * QA Upload.
  * debian/control
    + Update long description. Closes: #474716
    + Set maintainer to Debian QA group
    + Bump standard versions 3.9.4
      + Update to DEP5 copyright format 1.0
    + Switch to debhelper 9
    + Add ${misc:Depends}
  * Switch compat level to 9
  * debian/njam.1
    + Fix some lintian warnings
  * debian/patches
    + Switch to dpkg-source 3.0 (quilt) format. Closes: #664343
    + add fix_error_gcc.diff
  * Update watch file. Thanks to Bart Martens
  * debian/njam.desktop
    + Erase encoding field
  * Add clean file
    + Do not need to be installed the njamicon.ico file
  * Add njam.install file
  * Add njam.links file

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 28 Nov 2012 22:48:08 -0500

njam (1.25-5.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * drop DGA support (Closes: #651896). 

 -- Luk Claes <luk@debian.org>  Wed, 04 Jul 2012 15:49:52 +0000

njam (1.25-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with gcc-4.5": add patch gcc_46.dpatch from Ubuntu / 
    Andreas Moog:
    - Fix compile with newer gcc versions.
      (LP: #756133) (Closes: #565087)

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Oct 2011 19:02:41 +0200

njam (1.25-5) unstable; urgency=medium

  * Fixed the bug when njam overwrites the high scores file on upgrade 
    (Closes: 452313)
  * Cleaned the bad description in debian/control file 
    (Closes: 474716)  Thank you to Bas Wijnen and Christoph Berg  
  * Added the path to the njam's icon in debian/njam.menu file
    (Closes: #450451) Thank you Mario Bonino
  * Fixed the debian/watch file to point to the correct latest upstream
    version (Closes: #453566)
  * Changed the datadir path from /usr/share to /usr/share/games in the
    debian/rules script (Closes: #464875)
  * Fixed some details in the debian/njam.desktop file. There was a
    previous file but it needed to be registered with dh_desktop
    (Closes: #478929)
  * Bumped to the Standards-Version 3.7.3
  * Added the field Homepage inside Source stanza in debian/control file. 
  * Added a njam icon to the package.
  * Added the dpatch package in the dependencies list.
  * Created the patch to modify the hiscore name to the program.
  * Modified the scripts debian/njam.postinst and debian/njam.postrm to 
    fix the hiscore path.
  * Added the debian/njam.prerm script to backup the old hiscore before to
    install the new hiscore file.
  * Cleaned the debian/dirs file. Were removed some dirs below /usr dir.
  * Updated the debian/copyright file.

 -- Anibal Avelar <aavelar@cofradia.org>  Tue, 03 Jun 2008 21:57:27 -0500

njam (1.25-4) unstable; urgency=low

  * Added njam.desktop file (Closes: #439699)
  * Make .desktop file freedesktop-compliant
  * njam binary should be in /usr/games (Closes: #439787)
  * Fixed njam can't write to hi score file (Closes: #439786)

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Tue, 23 Oct 2007 00:34:27 -0500

njam (1.25-3) unstable; urgency=low

  * debian/control: - update standards version
  * Fixed a white space in control debian file on upstream URL site.
  * Added a watch file for scan new releases.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 14 Jun 2006 11:00:27 -0500

njam (1.25-2) unstable; urgency=low


