=== debian/control ===
Source: njam
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-net1.2-dev,
 libsdl1.2-dev
Homepage: http://njam.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/njam.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/njam.git
Standards-Version: 3.9.6

Package: njam
Architecture: any
Depends:
 njam-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: pacman-like game with multiplayer support
 Njam is a pacman-like game with many features, including networked
 multiplayer mode. It is available on many platforms.
 .
 Features:
  o Single and multiplayer mode (local or network)
  o Cooperative and competetive multiplayer modes
  o Customizable level skins
  o Many different levels
  o Integrated level editor
  o Great music and sound effects
 .

Package: njam-data
Architecture: all
Depends:
 ${misc:Depends}
Replaces:
 njam (<< 1.25-7)
Breaks:
 njam (<< 1.25-7)
Suggests:
 njam
Description: pacman-like game with multiplayer support -- data files
 Njam is a pacman-like game with many features, including networked
 multiplayer mode. It is available on many platforms.
 .
 This package contains the data files for njam, including levels, skins,
 graphics, music and documentation.
