=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure --  \
		--prefix=/usr \
		--bindir=/usr/games \
		--datadir=/usr/share/games

override_dh_install:
	dh_install
	# Do not install html documentation to /usr/share/games/njam but to
	# /usr/share/doc/njam/html/ in njam-data package
	rm -rf $(CURDIR)/debian/njam-data/usr/share/games/njam/html
	rm -f  $(CURDIR)/debian/njam-data/usr/share/games/njam/README
	rm -f  $(CURDIR)/debian/njam-data/usr/share/games/njam/njam.iss
